#define commit d86dc916771c126afb797637dda9f6421c0cb998

# major is the part of the library name after the .so
%define major 1
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name:           lz4
Version:        1.7.5
Release:        %mkrel 1
Summary:        Extremely fast compression algorithm
Group:          Archiving/Compression
License:        GPLv2+ and BSD
URL:            http://www.lz4.org/
Source0:        https://github.com/Cyan4973/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       %{libname} = %{version}-%{release}

%description
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

%package        -n %{develname}
Summary:        Development library for lz4
Group:          Development/C++
License:        BSD
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description    -n %{develname}
This package contains the header(.h) and library(.so) files required to build
applications using liblz4 library.


%package        -n %{staticname}
Summary:        Static library for lz4
Group:          Development/C++
License:        BSD
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       lib%{name}-static-devel = %{version}-%{release}

%description    -n %{staticname}
LZ4 is an extremely fast loss-less compression algorithm. This package
contains static libraries for static linking of applications.

%package        -n %{libname}
Summary:        Library for lz4
Group:          System/Libraries
License:        BSD

%description    -n %{libname}
LZ4 is an extremely fast loss-less compression algorithm. This package
contains lz4 libraries.

%prep
%setup -q -n %{name}-%{version}
echo '#!/bin/sh' > ./configure
chmod +x ./configure

%build
%configure
%make_build


%install
%make_install LIBDIR=%{_libdir} PREFIX=%{_prefix}

chmod -x %{buildroot}%{_includedir}/*.h


%files
%license programs/COPYING lib/LICENSE
%doc NEWS
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_bindir}/unlz4
%{_mandir}/man1/lz4*
%{_mandir}/man1/unlz4*

%files -n %libname
%{_libdir}/liblz4.so.%{major}*


%files -n %develname
%license lib/LICENSE
%{_includedir}/*.h
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc


%files -n %staticname
%license lib/LICENSE
%{_libdir}/liblz4.a


%changelog
* Fri Jan 06 2017 philippem <philippem> 1.7.5-1.mga6
+ Revision: 1080325
- update to 1.7.5

* Sat Dec 19 2015 philippem <philippem> r131-1.mga6
+ Revision: 912166
- clean spec, thanks David
- imported package lz4

